<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/white"
    android:fitsSystemWindows="true">
    <LinearLayout
        android:layout_marginTop="54dp"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/main_background"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="horizontal">


            <RelativeLayout
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent">

                <com.qmuiteam.qmui.widget.tab.QMUITabSegment
                    android:id="@+id/tabs"
                    android:layout_width="match_parent"
                    android:layout_height="43dp"
                    android:background="@drawable/qmui_list_item_bg_with_border_bottom"
                    android:textSize="16sp"
                    app:qmui_tab_has_indicator="true"
                    app:qmui_tab_indicator_height="2dp"
                    app:qmui_tab_indicator_top="false"
                    app:qmui_tab_normal_text_size="14sp"
                    app:qmui_tab_selected_text_size="16sp" />
                <RelativeLayout
                    android:layout_marginTop="45dp"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">
                    <com.qmuiteam.qmui.widget.QMUIViewPager
                        android:id="@+id/viewpager_silos"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginBottom="40dp"/>
                    <RelativeLayout
                        android:layout_alignParentBottom="true"
                        android:layout_width="match_parent"
                        android:layout_height="30dp">
                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true">
                            <ImageView
                                android:layout_width="20dp"
                                android:layout_height="20dp"
                                android:src="@mipmap/zhuyi"/>
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="点击料仓图形设置或控制料仓"
                                android:textColor="@color/red_primary_dark"/>

                            <ImageView
                                android:layout_marginLeft="20dp"
                                android:layout_width="20dp"
                                android:layout_height="20dp"
                                android:src="@mipmap/zhuyi"/>
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="料仓物料低于最低值会警示"
                                android:textColor="@color/red_primary_dark"/>
                        </LinearLayout>
                    </RelativeLayout>


                    <com.bonait.bnframework.modules.home.fragment.mode.add_yijian_controlextends
                        android:id="@+id/add_yijian"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone"/>

                    <com.bonait.bnframework.modules.home.fragment.mode.add_silos_ck
                        android:id="@+id/add_silos"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone"
                        />

                    <com.bonait.bnframework.modules.home.fragment.mode.silos_jiaoyan
                        android:id="@+id/silos_jz"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone"/>
                </RelativeLayout>


            </RelativeLayout>

            <RelativeLayout
                android:layout_width="130dp"
                android:layout_height="match_parent"
                android:background="@color/white">
                <LinearLayout
                    android:layout_centerInParent="true"
                    android:layout_width="130dp"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <com.bonait.bnframework.modules.home.fragment.mode.ImageButtonControl
                        android:id="@+id/yijian1"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        app:imagesrc="@mipmap/silos1"
                        android:tag="一键满管"
                        />

                    <com.bonait.bnframework.modules.home.fragment.mode.ImageButtonControl
                        android:id="@+id/yijian2"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        app:imagesrc="@mipmap/silos2"
                        android:tag="一键加满"
                        android:layout_marginTop="20dp"/>

                    <com.bonait.bnframework.modules.home.fragment.mode.ImageButtonControl
                        android:id="@+id/yijian3"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        app:imagesrc="@mipmap/silos3"
                        android:tag="一键清洗"
                        android:layout_marginTop="20dp"/>

                    <com.bonait.bnframework.modules.home.fragment.mode.ImageButtonControl
                        android:id="@+id/yijian4"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        app:imagesrc="@mipmap/silos4"
                        android:tag="一键设置"
                        android:layout_marginTop="20dp"/>
                </LinearLayout>
            </RelativeLayout>


        </LinearLayout>
    </LinearLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue"/>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>